#!/bin/sh
#
# goto top of modified kernel tree and run this script
#

LOC=/public/iptrk
ORIG=/usr/src/linux-2.6.0.orig

rm -f $LOC/kernel_26/src/*
rm -f $LOC/kernel_26/patch/*

cp -f ./include/linux/iptrk.h	$LOC/kernel_26/src
cp -f ./net/core/iptrk_queue.c	$LOC/kernel_26/src
cp -f ./net/core/iptrk_dev.c	$LOC/kernel_26/src
cp -f ./net/core/Makefile	$LOC/kernel_26/src
cp -f ./net/ipv4/ip_input.c	$LOC/kernel_26/src
cp -f ./net/ipv4/ip_output.c	$LOC/kernel_26/src
cp -f ./net/Kconfig		$LOC/kernel_26/src

diff -u $ORIG/net/ipv4/ip_input.c	./net/ipv4/ip_input.c  \
>$LOC/kernel_26/patch/ip_input.c.patch

diff -u $ORIG/net/ipv4/ip_output.c	./net/ipv4/ip_output.c \
>$LOC/kernel_26/patch/ip_output.c.patch

diff -u $ORIG/net/core/Makefile		./net/core/Makefile \
>$LOC/kernel_26/patch/Makefile.patch

diff -u $ORIG/net/Kconfig		./net/Kconfig \
>$LOC/kernel_26/patch/Kconfig.patch
